function cell=ImportAndConvertTable(id, flag)

%% Import the data
if flag==0
    filehead=['data/nk_neg_', num2str(id)];
    filename=[filehead,'.xlsx'];
    cell = ConvertToTable(xlsread(filename));
elseif flag==1
    filehead=['data/nk_pos_', num2str(id)];
    filename=[filehead,'.xlsx'];
    cell = ConvertToTable(xlsread(filename));    
elseif flag==2
    filehead=['data/tumor_', num2str(id)];
    filename=[filehead,'.xlsx'];
    cell = ConvertToTable(xlsread(filename));        
end

end

